(defun c:escadas3D (/ largura-degrau altura-vertical comprimento-degrau pe-direito numero-degraus espaco-total altura-degrau largura-escada)
  (setq largura-degrau (getreal "\nEnter the width of the step: "))
  (setq altura-vertical (getreal "\nEnter the vertical distance to be covered (headroom): "))
  (setq comprimento-degrau (getreal "\nEnter the length of the step: "))
  
  ; Calcular a altura do degrau
  (setq numero-degraus (1+ (fix (/ altura-vertical comprimento-degrau))))
  (setq altura-degrau (/ altura-vertical numero-degraus))
  
  (setq espaco-total (* numero-degraus comprimento-degrau))
  (setq largura-escada (+ largura-degrau espaco-total))
  
  ; Definir o ponto de inserção inicial da escada
  (setq ponto-insercao (getpoint "\nEnter the insertion point of the stairs: "))
  
  ; Desenhar os degraus em 3D
  (setq altura-atual 0.0)
  (repeat numero-degraus
    ; Criar um sólido retangular representando o degrau
    (command "_box" ponto-insercao (list (+ (car ponto-insercao) largura-degrau) (+ (cadr ponto-insercao) comprimento-degrau) (+ (caddr ponto-insercao) altura-degrau)))
    
    ; Atualizar o ponto de inserção para o próximo degrau
    (setq ponto-insercao (list (car ponto-insercao) (+ (cadr ponto-insercao) comprimento-degrau) (+ (caddr ponto-insercao) altura-degrau)))
    
    ; Atualizar a altura atual
    (setq altura-atual (+ altura-atual altura-degrau))
  )
  
  (princ)
)

; Exemplo de uso
(c:criar-escadas)
